<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Типы фильтров по полям. Расшифровка значений:
 * * `default` - Обычный фильтр, соответствующий типу поля
 * * `like` - Аналогично default, но по подстроке
 * * `many` - Фильтр принимает массив значений
 * * `range` - Фильтр по диапазону
 */
enum FieldFilterTypeEnum: string
{
    /** Обычный фильтр, соответствующий типу поля */
    case DEFAULT = 'default';
    /** Аналогично default, но по подстроке */
    case LIKE = 'like';
    /** Фильтр принимает массив значений */
    case MANY = 'many';
    /** Фильтр по диапазону */
    case RANGE = 'range';
}
